package domain

type AlibabaHmMarketingItembuygiftRemoveitemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   是否移除成功     */
	Data *bool `json:"data,omitempty" `

	/*
	   是否移除成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftRemoveitemMarketResult) SetMessage(v string) *AlibabaHmMarketingItembuygiftRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftRemoveitemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItembuygiftRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftRemoveitemMarketResult) SetData(v bool) *AlibabaHmMarketingItembuygiftRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftRemoveitemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItembuygiftRemoveitemMarketResult {
	s.Success = &v
	return s
}
